import React from 'react';
import { TextStyle, ViewStyle, TextInputProps, FlatListProps } from 'react-native';
import { Color } from 'react-native-svg';
export declare type SelectBoxProps = {
    labelStyle?: TextStyle;
    containerStyle?: ViewStyle;
    inputFilterContainerStyle?: ViewStyle;
    inputFilterStyle?: TextStyle;
    optionsLabelStyle?: TextStyle;
    optionContainerStyle?: ViewStyle;
    multiOptionContainerStyle?: ViewStyle;
    multiOptionsLabelStyle?: TextStyle;
    multiListEmptyLabelStyle?: TextStyle;
    listEmptyLabelStyle?: TextStyle;
    selectedItemStyle?: TextStyle;
    listEmptyText?: string;
    selectIcon?: React.ReactNode | React.ReactNode[];
    label?: string;
    inputPlaceholder?: string;
    hideInputFilter?: boolean;
    width?: number | string;
    isMulti?: boolean;
    options?: Item[];
    value?: Item;
    selectedValues?: Item[];
    arrowIconColor?: Color;
    searchIconColor?: Color;
    toggleIconColor?: Color;
    searchInputProps?: TextInputProps;
    multiSelectInputFieldProps?: FlatListProps<Item>;
    onChange?: (item: Item) => void;
    onMultiSelect?: (item: Item) => void;
    onTapClose?: (item: Item) => void;
    listOptionProps?: FlatListProps<Item>;
};
export declare type Item = {
    id: string | number;
    item: string;
};
declare function SelectBox({ labelStyle, containerStyle, inputFilterContainerStyle, inputFilterStyle, optionsLabelStyle, optionContainerStyle, multiOptionContainerStyle, multiOptionsLabelStyle, multiListEmptyLabelStyle, listEmptyLabelStyle, selectedItemStyle, listEmptyText, listOptionProps, ...props }: SelectBoxProps): JSX.Element;
declare namespace SelectBox {
    var defaultProps: {
        label: string;
        options: {
            item: string;
            id: string;
        }[];
    };
}
declare const _default: React.MemoExoticComponent<typeof SelectBox>;
export default _default;
